<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="bascula">
        <pm:header>
            Registros
        </pm:header>
        <pm:content>
            <h:form id="indexForm">
                <p:panel header="Bascula  LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]">
                     <p:messages id="mensaje" showDetail="true" autoUpdate="true" />
                     <p:growl id="growl" showDetail="true" sticky="true"></p:growl>
                    <p:button value="Nuevo" outcome="#{folioMB.seleccionNuevoMobile()}"/>
                    <p:scrollPanel mode="native" style="width:99%;height:500px">
                        <p:dataList id="datalist" value="#{folioMB.registros_basculas}"
                                    var="registros" pt:data-filter="true"  
                                    pt:data-filter-placeholder="Búsqueda por filtro" style="width:90%;height:100%" >
                            <p:commandLink action="#{folioMB.seleccionEditarMobile(registros)}" update=":registroEditar:regEdicion" >
                                <f:setPropertyActionListener
                                value="#{registros}" target="#{folioMB.activoSeleccionado}" />   
                                <f:param name="id" value="#{registros.id}"/>
                                <h:panelGroup>
                                    <h:outputText value="#{registros.id} - #{registros.folio}"/>
                                    <br/>
                                    <h:outputText value="#{registros.productor}"/>
                                </h:panelGroup>
                            </p:commandLink>
                        </p:dataList>
                    </p:scrollPanel>
                </p:panel>
            </h:form>
        </pm:content>
        <pm:footer>
            <p:button value="Menú" outcome="./menu.xhtml"  style="width:100%;height:30px;font-weight: bold;margin-right:30px;" />
        </pm:footer>
    </pm:page>
    <pm:page id="registroEditar">
        <pm:header>
            Edición de Registro Bascula
        </pm:header>
        <pm:content>
            <p:panel id="regEdicion" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                <h:form id="editForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="3" >
                        
                        <p:outputLabel for="id" value="Id: "  style="font-weight: bold"/>
                        <p:inputText id="id" value="#{folioMB.activoSeleccionado.id}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="numero1" value="Folio: "  style="font-weight: bold"/>
                        <p:inputText id="numero1" value="#{folioMB.activoSeleccionado.folio}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        
                        
                        <p:outputLabel for="fecha" value="Fecha: "  style="font-weight: bold"/>
                        <p:inputText id="fecha" value="#{folioMB.activoSeleccionado.fecha}" style="width: 350px" readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="productor" value="Productor: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="productor"  value="#{folioMB.activoSeleccionado.id_productor}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        
                                        required="true" requiredMessage="Error al salvar registro. El productor es requerido" style="width: 350px">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{folioMB.productores}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="bruto" value="Peso Bruto :"  style="font-weight: bold"/>
                        <p:inputNumber id="bruto" value="#{folioMB.activoSeleccionado.peso_bruto}"  
                                       requiredMessage="Error al salvar registro. El peso bruto es requerido"
                                       minValue="0" maxValue="100000" /> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="tara" value="Peso Tara :"  style="font-weight: bold"/>
                        <p:inputNumber id="tara" value="#{folioMB.activoSeleccionado.peso_tara}"  
                                       minValue="0" maxValue="100000"
                                       requiredMessage="Error al salvar registro. El peso tara es requerido"/>
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="neto" value="Peso Neto :"  style="font-weight: bold"/>
                        <p:inputNumber id="neto" value="#{folioMB.activoSeleccionado.peso_neto}" minValue="0" maxValue="100000" readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="id_" value=""/>
                        <p:inputText id="id_" value="#{folioMB.activoSeleccionado.id}" type="hidden" /> 
                        <p:outputLabel value=""/>
                    </h:panelGrid> 
                    <p:commandButton value="Guardar registro" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarActivo(
                                    folioMB.activoSeleccionado.peso_bruto,
                                    folioMB.activoSeleccionado.peso_tara,
                                    folioMB.activoSeleccionado.id_productor,
                                    folioMB.activoSeleccionado.id,
                                    0,sessionMB.usuariomovil.id)}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cambiar estatus a recepción" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarActivo(
                                    folioMB.activoSeleccionado.peso_bruto,
                                    folioMB.activoSeleccionado.peso_tara,
                                    folioMB.activoSeleccionado.id_productor,
                                    folioMB.activoSeleccionado.id,
                                    1,sessionMB.usuariomovil.id)}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cancelar operación"  ajax="false" icon="ui-icon-contact"  />
                </h:form>
            </p:panel>
        </pm:content> 
    </pm:page>
    <pm:page id="registroNuevo">
        <pm:header>
            Nuevo de Registro Bascula
        </pm:header>
        <pm:content>
            <p:panel id="regNuevo" header="Nuevo LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                <h:form id="nuevoForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="3" >
                        
                        <p:outputLabel for="fechaE" value="Fecha: "  style="font-weight: bold"/>
                        <p:inputText id="fechaE" value="#{folioMB.fecha}" style="width: 350px" readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="productorE" value="Productor: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="productorE"  value="#{folioMB.id_productor}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        
                                        required="true" requiredMessage="Error al salvar registro. El productor es requerido" style="width: 350px">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{folioMB.productores}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="brutoE" value="Peso Bruto :"  style="font-weight: bold"/>
                        <p:inputNumber id="brutoE" value="#{folioMB.peso_bruto}"  
                                       requiredMessage="Error al salvar registro. El peso bruto es requerido"
                                       minValue="0" maxValue="100000" /> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="taraE" value="Peso Tara :"  style="font-weight: bold"/>
                        <p:inputNumber id="taraE" value="#{folioMB.peso_tara}"  
                                       minValue="0" maxValue="100000"
                                       requiredMessage="Error al salvar registro. El peso tara es requerido"/> 
                        <p:outputLabel value="* Campo requerido"/> 
                        
                    </h:panelGrid> 
                    <p:commandButton value="Crear" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.anexarActivo(
                                    folioMB.id_productor,
                                    folioMB.peso_bruto,
                                    folioMB.peso_tara,
                                    sessionMB.usuariomovil.id
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cancelar"  ajax="false" icon="ui-icon-contact"  />
                </h:form>
            </p:panel>
        </pm:content> 
    </pm:page>
</h:body>
</html>